Bug 1934043 - missing help and wrong man pages
Summary: missing help and wrong man pages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: git-lfs
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-02 10:55 UTC by Götz Waschk
Modified: 2022-10-12 17:14 UTC (History)
4 users (show)

Fixed In Version: git-lfs-2.10.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-12 17:14:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Götz Waschk 2021-03-02 10:55:13 UTC
Description of problem:
The documentation of git-lfs is not accessible in the package.

Version-Release number of selected component (if applicable):
git-lfs-2.10.0-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. git-lfs
2. man git-lfs
3.

Actual results:
git-lfs/2.10.0 (Fedora %{fedora}; linux amd64; go 1.13.6)
Sorry, no usage text found for "git-lfs"
No manual entry for git-lfs

Expected results:
git-lfs should print the usage info

Additional info:
The man pages are there, but not installed:
/usr/share/doc/git-lfs-2.10.0/docs/man/git-lfs.1.ronn

Comment 1 Götz Waschk 2021-03-02 12:33:34 UTC
For building the man pages, you need ronn (from ruby), for the help text to be correct, use
make commands/mancontent_gen.go
%gobuild -o _bin/git-lfs %{goipath}

The help text is generated to mancontent_gen.go.

Comment 2 Fedora Update System 2022-10-05 02:12:20 UTC
FEDORA-EPEL-2022-d8f75949c3 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-d8f75949c3

Comment 3 Carl George 🤠 2022-10-05 02:16:46 UTC
I worked around the ronn build dependency by duplicating what RHEL 8 does, which is generate the man pages separately on Fedora and include them as a pre-generated tarball.

https://git.centos.org/rpms/git-lfs/blob/1e008e9fa4477ad006c021deca858ac7a7e73716/f/SPECS/git-lfs.spec#_28-30

Comment 4 Fedora Update System 2022-10-05 13:42:30 UTC
FEDORA-EPEL-2022-d8f75949c3 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-d8f75949c3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-10-12 17:14:52 UTC
FEDORA-EPEL-2022-d8f75949c3 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.